Python Library Dependencies

ERROR: pyzmq has an invalid wheel, multiple .dist-info directories found: libsodium-1.0.17.dist-info, pyzmq-18.1.0.dist-info

Which virtual environment you are using? like virtual env or anaconda?

Kanika

using anaconda

Hi @Hebe_Lynassa

That appears to be an issue with pyzmq in Anaconda, specifically that it doesn’t have a prebuilt set of files for the 18.1.0 version of pyzmq.

You could try:

pip install --no-binary=:all: pyzmq==18.1.0

If that doesn’t work, I’d suggest editing the requirements.txt file to change the version of pyzmq being installed to something more recent (see the available versions for pyzmq). The latest version of that library is 20.0.0.

Kindest regards,
Eoin

2 Likes

Hi Eoin,

Unable to install any new version
can see already version 19.0.2 was installed

Tried to change the version in the requirements.txt file to the one which installed in my system i.e…19.0.2

yet receiving the below error

ERROR: Could not find a version that satisfies the requirement pyzmq==19.0.2qtconsole==4.5.5 (from -r requirements.txt (line 58)) (from versions: 2.0.7, 2.0.8, 2.0.10, 2.0.10.1, 2.1.1, 2.1.4, 2.1.7, 2.1.9, 2.1.10, 2.1.11, 2.2.0, 2.2.0.1, 13.0.0, 13.0.1, 13.0.2, 13.1.0, 14.0.0, 14.0.1, 14.1.0, 14.1.1, 14.2.0, 14.3.0, 14.3.1, 14.4.0, 14.4.1, 14.5.0, 14.6.0, 14.7.0, 15.0.0, 15.1.0, 15.2.0, 15.3.0, 15.4.0, 16.0.0, 16.0.1, 16.0.2, 16.0.3, 16.0.4, 17.0.0b1, 17.0.0b2, 17.0.0b3, 17.0.0b4, 17.0.0, 17.1.0, 17.1.1, 17.1.2, 17.1.3, 18.0.0, 18.0.1, 18.0.2, 18.1.0, 18.1.1, 19.0.0, 19.0.1, 19.0.2, 20.0.0)
ERROR: No matching distribution found for pyzmq==19.0.2qtconsole==4.5.5 (from -r requirements.txt (line 58))

Hi @Hebe_Lynassa

I’m afraid other than trying to build a new Anaconda environment or considering a switch to using a Python virtual environment I don’t have any other suggestions for you to resolve your local machine installation issue with pyzmq. I’m afraid I don’t have access to a Windows environment so I can’t replicate it.

I would suggest you try using Python with virtualenv as an alternative to Anaconda as it does not appear the packaging for pyzmq and the setup for that library will be easily resolved.

Kindest regards,
Eoin

From the error message, it looks like you are missing a newline after pyzmq and before qtconsole.

1 Like

Yeah, it was causing the error corrected it
Thank you steeve

Thanks Eoin for the quick suggestion
It got corrected after the newline was added